## modemmanager-qt 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(ModemManagerQt)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(ModemManager 1.0 REQUIRED)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.4.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED Core DBus Xml)

add_definitions(${QT_DEFINITIONS})

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)


include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMGenerateHeaders)

set(KF5_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX MODEMMANAGERQT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/modemmanagerqt_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ModemManagerQtConfigVersion.cmake"
                        SOVERSION 6)

# Enable unit testing
if (BUILD_TESTING)
    add_subdirectory(src/fakemodem)
    add_subdirectory(autotests)
endif ()

##################  examples  ################################
option(BUILD_EXAMPLES "Build example applications" FALSE)
if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif(BUILD_EXAMPLES)

add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5ModemManagerQt")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5ModemManagerQtConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ModemManagerQtConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ModemManagerQtConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ModemManagerQtConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5ModemManagerQtTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ModemManagerQtTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/modemmanagerqt_version.h
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR} COMPONENT Devel
)

if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
  feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()

=== autotests/CMakeLists.txt ===
include_directories(
    ${MODEMMANAGER_INCLUDE_DIRS}
)

include(ECMAddTests)

find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Test)
set_package_properties(Qt5Test PROPERTIES PURPOSE "Required for autotests")

macro(serialize_test target)
    set_property(TEST ${target} PROPERTY RUN_SERIAL 1)
endmacro()

ecm_add_test(bearerpropertiestest.cpp LINK_LIBRARIES Qt5::Test KF5ModemManagerQt_static fakeModem)
serialize_test(bearerpropertiestest)
ecm_add_test(modemtest.cpp LINK_LIBRARIES Qt5::Test KF5ModemManagerQt_static fakeModem)
serialize_test(modemtest)
ecm_add_test(modempropertiestest.cpp LINK_LIBRARIES Qt5::Test KF5ModemManagerQt_static fakeModem)
serialize_test(modempropertiestest)
ecm_add_test(modem3gpppropertiestest.cpp LINK_LIBRARIES Qt5::Test KF5ModemManagerQt_static fakeModem)
serialize_test(modem3gpppropertiestest)
ecm_add_test(modem3gppussdpropertiestest.cpp LINK_LIBRARIES Qt5::Test KF5ModemManagerQt_static fakeModem)
serialize_test(modem3gppussdpropertiestest)
ecm_add_test(modemcdmapropertiestest.cpp LINK_LIBRARIES Qt5::Test KF5ModemManagerQt_static fakeModem)
serialize_test(modemcdmapropertiestest)
ecm_add_test(modemmessagingpropertiestest.cpp LINK_LIBRARIES Qt5::Test KF5ModemManagerQt_static fakeModem)
serialize_test(modemmessagingpropertiestest)
ecm_add_test(modemlocationpropertiestest.cpp LINK_LIBRARIES Qt5::Test KF5ModemManagerQt_static fakeModem)
serialize_test(modemlocationpropertiestest)
ecm_add_test(modemtimepropertiestest.cpp LINK_LIBRARIES Qt5::Test KF5ModemManagerQt_static fakeModem)
serialize_test(modemtimepropertiestest)

if (${MODEMMANAGER_VERSION} VERSION_EQUAL 1.2.0 OR ${MODEMMANAGER_VERSION} VERSION_GREATER 1.2.0)
    ecm_add_test(modemomapropertiestest.cpp LINK_LIBRARIES Qt5::Test KF5ModemManagerQt_static fakeModem)
    serialize_test(modemomapropertiestest)
endif()

## modemmanager-qt 5.9.0

=== debian/changelog ===
modemmanager-qt (5.9.0-0ubuntu1.1) vivid; urgency=medium

  * Add upstream_crash.diff from upstream LP:#1448502
   - fixes crash on login when set up to use modems

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 25 Apr 2015 19:05:43 +0200

modemmanager-qt (5.9.0-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * Library moved to frameworks release scope, renamed source.
  * So version bump 6, adjust package naming accordingly
  * Fix install file to not wildcard the entire soversion, so the build breaks
    when upstream does a bump again
  * Mark the lib and dbg package multiarch same

 -- Harald Sitter <sitter@kde.org>  Thu, 02 Apr 2015 10:26:25 +0200

libmm-qt (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:28 +0100

libmm-qt (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.
  * Update install files.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Feb 2015 20:00:50 +0100

libmm-qt (5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:35:38 -0700

libmm-qt (5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:44:19 -0800

libmm-qt (5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:55:50 +0100

libmm-qt (5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:33:22 +0100

libmm-qt (5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:49:33 +0100

libmm-qt (5.0.93-0ubuntu1) utopic; urgency=medium

  * New upstream release

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 18 Sep 2014 07:20:02 -0700

libmm-qt (5.0.91-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.
  * Update watch to http://download.kde.org
  * Update extra-cmake-modules depends version

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 10 Jul 2014 10:24:08 +0100

=== debian/control ===
Source: modemmanager-qt
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.9.0),
               libkf5networkmanagerqt-dev (>= 5.9.0),
               modemmanager-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/modemmanager-qt.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/modemmanager-qt.git

Package: libkf5modemmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libkf5modemmanagerqt6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt wrapper for ModemManager - devel files.
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of KDE Frameworks.
 .
 This package contains the development files

Package: libkf5modemmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt wrapper library for ModemManager
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: libkf5modemmanagerqt6-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Recommends: qtbase5-dbg
Depends: libkf5modemmanagerqt6 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for networkmanager - debug files
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5modemmanagerqt6-dbg

.PHONY: override_dh_auto_test

## modemmanager-qt 5.10.0

=== debian/changelog ===
modemmanager-qt (5.10.0-0ubuntu2) wily; urgency=medium

  * No change rebuild to retry tests

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Jun 2015 13:47:09 +0200

modemmanager-qt (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * Remove upstream applied patch: upstream_insert_missing_license_text

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:00:32 +0200

modemmanager-qt (5.9.0-1) experimental; urgency=medium

  * Prepare Debian release. (5.9.0-1)
  * New upstream patch: upstream_insert_missing_license_text

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,32 @@
 Source: modemmanager-qt
-Priority: extra
+Section: libs
+Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.9.0),
-               libkf5networkmanagerqt-dev (>= 5.9.0),
-               modemmanager-dev,
+               extra-cmake-modules (>= 5.10.0),
+               modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev
+               qtbase5-dev (>= 5.4.0~)
 Standards-Version: 3.9.6
-Section: libs
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
-XS-Testsuite: autopkgtest
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/modemmanager-qt.git/
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/modemmanager-qt.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/modemmanager-qt.git
 
-Package: libkf5modemmanagerqt-dev
+Package: modemmanager-qt-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5modemmanagerqt6 (= ${binary:Version}),
+         modemmanager-dev (>= 1.0),
+         qtbase5-dev (>= 5.4.0~),
          ${misc:Depends},
          ${shlibs:Depends}
-Description: Qt wrapper for ModemManager - devel files.
+Breaks: libkf5modemmanagerqt-dev
+Replaces: libkf5modemmanagerqt-dev
+Description: Qt wrapper for ModemManager - devel files
  Qt wrapper for ModemManager DBus API.
  .
  This package is part of KDE Frameworks.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, dbus-x11
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## modemmanager-qt 5.13.0

=== debian/changelog ===
modemmanager-qt (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:35:27 +0200

modemmanager-qt (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Vivid backport. 

  [ José Manuel Santamaría Lema ]
  * Update symbols file: mark as optional the symbols gone after
    building with GCC 5

  [ Scarlett Clark ]
  * Manual merge. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:11:42 +0200

modemmanager-qt (5.11.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * Remove upstream applied patch: upstream_insert_missing_license_text
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Jun 2015 15:41:02 +0200

modemmanager-qt (5.10.0-0ubuntu4) wily; urgency=medium

  * chmod 755 debian/tests/testsuite.xsession

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 23 Jun 2015 17:21:17 +0200

modemmanager-qt (5.10.0-0ubuntu3) wily; urgency=medium

  * Update tests to run in xsesson with dbus

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 23 Jun 2015 14:21:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.10.0),
+               extra-cmake-modules (>= 5.13.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## modemmanager-qt 5.14.0

=== debian/changelog ===
modemmanager-qt (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:28:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.13.0~),
+               extra-cmake-modules (>= 5.14.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## modemmanager-qt 5.15.0

=== debian/changelog ===
modemmanager-qt (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:54 +0100

modemmanager-qt (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:59:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.14.0~),
+               extra-cmake-modules (>= 5.15.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## modemmanager-qt 5.18.0

=== debian/changelog ===
modemmanager-qt (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge. No remaining changes. 
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:25:58 +0100

modemmanager-qt (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:14 +0100

modemmanager-qt (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:22 +0200

modemmanager-qt (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:02 +0200

modemmanager-qt (5.13.0-1) unstable; urgency=medium

  * Drop XS-Testsuite field
  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Aug 2015 13:50:36 +0200

modemmanager-qt (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4.0~)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/modemmanager-qt.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/modemmanager-qt.git

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,6 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkf5modemmanagerqt6-dbg
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable unit tests at build time
+	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox,
         libkf5service-bin, kded5, kinit
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## modemmanager-qt 5.22.0

=== debian/changelog ===
modemmanager-qt (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:42:05 -0700

modemmanager-qt (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:12 +0100

modemmanager-qt (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
+               extra-cmake-modules (>= 5.22.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4.0~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/modemmanager-qt.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/modemmanager-qt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
 
 Package: modemmanager-qt-dev
 Section: libdevel
@@ -40,17 +40,3 @@
  Qt wrapper for ModemManager DBus API.
  .
  This package is part of the KDE Frameworks.
-
-Package: libkf5modemmanagerqt6-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Recommends: qtbase5-dbg
-Depends: libkf5modemmanagerqt6 (= ${binary:Version}), ${misc:Depends}
-Description: Qt wrapper for networkmanager - debug files
- Qt wrapper for ModemManager DBus API.
- .
- This package is part of the KDE Frameworks.
- .
- This package contains the debugging symbols.

## modemmanager-qt 5.24.0

=== debian/changelog ===
modemmanager-qt (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:47:45 +0000

modemmanager-qt (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:19:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.22.0~),
+               extra-cmake-modules (>= 5.24.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## modemmanager-qt 5.26.0

=== debian/changelog ===
modemmanager-qt (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:51:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
+               extra-cmake-modules (>= 5.26.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xvfb, xauth, dbus-x11
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## modemmanager-qt 5.28.0

=== src/CMakeLists.txt ===
#add_subdirectory(dbus)

include_directories(
    ${MODEMMANAGER_INCLUDE_DIRS}
)

set(ModemManagerQt_SRCS
    bearer.cpp
    generictypes.cpp
    interface.cpp
    manager.cpp
    modem.cpp
    modemsimple.cpp
    modem3gpp.cpp
    modem3gppussd.cpp
    modemcdma.cpp
    modemdevice.cpp
    modemfirmware.cpp
    modemlocation.cpp
    modemmessaging.cpp
    modemtime.cpp
    sim.cpp
    sms.cpp
)

set(DBUS_INTERFACES_FILES
   dbus/bearerinterface.cpp
   dbus/dbus_manager.cpp
   dbus/firmwareinterface.cpp
   dbus/locationinterface.cpp
   dbus/messaginginterface.cpp
   dbus/modem3gppinterface.cpp
   dbus/modemcdmainterface.cpp
   dbus/modeminterface.cpp
   dbus/modemmanager1interface.cpp
   dbus/siminterface.cpp
   dbus/simpleinterface.cpp
   dbus/smsinterface.cpp
   dbus/timeinterface.cpp
   dbus/ussdinterface.cpp
)

if (${MODEMMANAGER_VERSION} VERSION_EQUAL 1.2.0 OR ${MODEMMANAGER_VERSION} VERSION_GREATER 1.2.0)
    set(ModemManagerQt_SRCS
        ${ModemManagerQt_SRCS}
        modemoma.cpp
        modemsignal.cpp
        )

    set(DBUS_INTERFACES_FILES
        ${DBUS_INTERFACES_FILES}
        dbus/omainterface.cpp
        dbus/signalinterface.cpp
        )
endif()

add_library(KF5ModemManagerQt SHARED ${ModemManagerQt_SRCS} ${DBUS_INTERFACES_FILES})
generate_export_header(KF5ModemManagerQt BASE_NAME ModemManagerQt)
add_library(KF5::ModemManagerQt ALIAS KF5ModemManagerQt)

target_include_directories(KF5ModemManagerQt INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/ModemManagerQt>")

target_link_libraries(KF5ModemManagerQt PUBLIC Qt5::Core Qt5::DBus Qt5::Xml)

set_target_properties(KF5ModemManagerQt PROPERTIES VERSION ${MODEMMANAGERQT_VERSION_STRING}
                                                   SOVERSION ${MODEMMANAGERQT_SOVERSION}
                                                   EXPORT_NAME ModemManagerQt
)

target_include_directories(KF5ModemManagerQt PUBLIC ${MODEMMANAGER_INCLUDE_DIRS})

########### static lib for tests  ###############
add_library(KF5ModemManagerQt_static STATIC ${ModemManagerQt_SRCS} ${DBUS_INTERFACES_FILES})
set_target_properties(KF5ModemManagerQt_static PROPERTIES COMPILE_FLAGS -DMMQT_STATIC=1)

target_link_libraries(KF5ModemManagerQt_static PUBLIC Qt5::Core Qt5::DBus Qt5::Xml)
target_include_directories(KF5ModemManagerQt_static PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..;${CMAKE_CURRENT_BINARY_DIR}/..>")

ecm_generate_headers(ModemManagerQt_HEADERS
  HEADER_NAMES
  Bearer
  GenericTypes
  Interface
  Manager
  Modem
  Modem3Gpp
  Modem3GppUssd
  ModemCdma
  ModemDevice
  ModemFirmware
  ModemLocation
  ModemMessaging
  ModemSignal
  ModemSimple
  ModemTime
  ModemOma
  Sim
  Sms

  REQUIRED_HEADERS ModemManagerQt_HEADERS
)

install(TARGETS KF5ModemManagerQt EXPORT KF5ModemManagerQtTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/modemmanagerqt_export.h
  ${ModemManagerQt_HEADERS}
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/ModemManagerQt COMPONENT Devel
)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME ModemManagerQt LIB_NAME KF5ModemManagerQt DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/ModemManagerQt)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
modemmanager-qt (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:02:55 +0100

modemmanager-qt (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:57:31 +0200

modemmanager-qt (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:57:14 +0200

modemmanager-qt (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 17:17:58 +0200

modemmanager-qt (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:24:47 +0200

modemmanager-qt (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 23:46:32 +0200

modemmanager-qt (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 08:45:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4.0~)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.5.0~)
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/modemmanager-qt.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/modemmanager-qt.git
 
 Package: modemmanager-qt-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5modemmanagerqt6 (= ${binary:Version}),
          modemmanager-dev (>= 1.0),
-         qtbase5-dev (>= 5.4.0~),
+         qtbase5-dev (>= 5.5.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libkf5modemmanagerqt-dev

## modemmanager-qt 5.30.0

=== debian/changelog ===
modemmanager-qt (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:35:09 +0000

modemmanager-qt (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * Merge with debian
  * Pass '-fno-keep-inline-functions' to gcc for the acc tests in order
    to make them pass.
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:17:17 +0000

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
+               extra-cmake-modules (>= 5.30.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.5.0~)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/modemmanager-qt.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/modemmanager-qt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
 
 Package: modemmanager-qt-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5modemmanagerqt6 (= ${binary:Version}),
          modemmanager-dev (>= 1.0),
-         qtbase5-dev (>= 5.5.0~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libkf5modemmanagerqt-dev

## modemmanager-qt 5.31.0

=== debian/changelog ===
modemmanager-qt (5.31.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:51:24 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.30.0~),
+               extra-cmake-modules (>= 5.31.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## modemmanager-qt 5.33.0

=== debian/changelog ===
modemmanager-qt (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:05:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.33.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## modemmanager-qt 5.34.0

=== debian/changelog ===
modemmanager-qt (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:26:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.33.0~),
+               extra-cmake-modules (>= 5.34.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## modemmanager-qt 5.35.0

=== debian/changelog ===
modemmanager-qt (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:58:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.34.0~),
+               extra-cmake-modules (>= 5.35.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## modemmanager-qt 5.36.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 
-project(ModemManagerQt)
+set(KF5_VERSION "5.36.0") # handled by release scripts
+project(ModemManagerQt VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.18.0  NO_MODULE)
+find_package(ECM 5.36.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -13,10 +14,10 @@
 find_package(ModemManager 1.0 REQUIRED)
 
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
-set(REQUIRED_QT_VERSION 5.4.0)
+set(REQUIRED_QT_VERSION 5.6.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED Core DBus Xml)
 
 add_definitions(${QT_DEFINITIONS})
@@ -31,10 +32,13 @@
 
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
+include(ECMAddQch)
 
-set(KF5_VERSION "5.18.0") # handled by release scripts
 
-ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX MODEMMANAGERQT
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+
+ecm_setup_version(PROJECT VARIABLE_PREFIX MODEMMANAGERQT
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/modemmanagerqt_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ModemManagerQtConfigVersion.cmake"
                         SOVERSION 6)
@@ -56,9 +60,19 @@
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5ModemManagerQt")
 
-include(ECMPackageConfigHelpers)
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5ModemManagerQt_QCH
+        FILE KF5ModemManagerQtQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ModemManagerQtQchTargets.cmake\")")
+endif()
 
-ecm_configure_package_config_file(
+include(CMakePackageConfigHelpers)
+
+configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5ModemManagerQtConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5ModemManagerQtConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}

## modemmanager-qt 5.37.0

=== debian/changelog ===
modemmanager-qt (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:48:30 +0100

modemmanager-qt (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.35.0~),
+               extra-cmake-modules (>= 5.37.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## modemmanager-qt 5.38.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(KF5_VERSION "5.36.0") # handled by release scripts
+set(KF5_VERSION "5.38.0") # handled by release scripts
 project(ModemManagerQt VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.36.0  NO_MODULE)
+find_package(ECM 5.38.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -17,7 +17,7 @@
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
-set(REQUIRED_QT_VERSION 5.6.0)
+set(REQUIRED_QT_VERSION 5.7.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED Core DBus Xml)
 
 add_definitions(${QT_DEFINITIONS})

=== debian/changelog ===
modemmanager-qt (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:17:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.37.0~),
+               extra-cmake-modules (>= 5.38.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## modemmanager-qt 5.40.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(KF5_VERSION "5.38.0") # handled by release scripts
+set(KF5_VERSION "5.40.0") # handled by release scripts
 project(ModemManagerQt VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.38.0  NO_MODULE)
+find_package(ECM 5.40.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

## modemmanager-qt 5.41.0

=== debian/changelog ===
modemmanager-qt (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:08:41 -0600

modemmanager-qt (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:18:11 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.38.0~),
+               extra-cmake-modules (>= 5.41.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -14,6 +14,15 @@
 Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
+
+Package: libkf5modemmanagerqt6
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt wrapper library for ModemManager
+ Qt wrapper for ModemManager DBus API.
+ .
+ This package is part of the KDE Frameworks.
 
 Package: modemmanager-qt-dev
 Architecture: any
@@ -31,12 +40,3 @@
  This package is part of KDE Frameworks.
  .
  This package contains the development files
-
-Package: libkf5modemmanagerqt6
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qt wrapper library for ModemManager
- Qt wrapper for ModemManager DBus API.
- .
- This package is part of the KDE Frameworks.

## modemmanager-qt 5.42.0

=== debian/changelog ===
modemmanager-qt (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:23:29 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.41.0~),
+               extra-cmake-modules (>= 5.42.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## modemmanager-qt 5.43.0

=== debian/changelog ===
modemmanager-qt (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:17:05 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.42.0~),
+               extra-cmake-modules (>= 5.43.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

## modemmanager-qt 5.44.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(KF5_VERSION "5.40.0") # handled by release scripts
+set(KF5_VERSION "5.44.0") # handled by release scripts
 project(ModemManagerQt VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.40.0  NO_MODULE)
+find_package(ECM 5.44.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -92,6 +92,4 @@
   DESTINATION ${KF5_INCLUDE_INSTALL_DIR} COMPONENT Devel
 )
 
-if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
-  feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
-endif()
+feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -108,6 +108,30 @@
   DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/ModemManagerQt COMPONENT Devel
 )
 
+if(BUILD_QCH)
+    ecm_add_qch(
+        KF5ModemManagerQt_QCH
+        NAME ModemManagerQt
+        BASE_NAME KF5ModemManagerQt
+        VERSION ${KF5_VERSION}
+        ORG_DOMAIN org.kde
+        SOURCES # using only public headers, to cover only public API
+            ${ModemManagerQt_HEADERS}
+        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
+        LINK_QCHS
+            Qt5Core_QCH
+            Qt5DBus_QCH
+            Qt5Xml_QCH
+        BLANK_MACROS
+            MODEMMANAGERQT_EXPORT
+            MODEMMANAGERQT_DEPRECATED
+            MODEMMANAGERQT_DEPRECATED_EXPORT
+        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        COMPONENT Devel
+    )
+endif()
+
 include(ECMGeneratePriFile)
 ecm_generate_pri_file(BASE_NAME ModemManagerQt LIB_NAME KF5ModemManagerQt DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/ModemManagerQt)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
modemmanager-qt (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:59:38 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.43.0~),
+               extra-cmake-modules (>= 5.44.0~),
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5modemmanagerqt6-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable unit tests at build time
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]*)/modemmanager-qt-([\d.]*)\.tar\.xz

## modemmanager-qt 5.46.0

=== debian/changelog ===
modemmanager-qt (5.46.0-0ubuntu3) cosmic; urgency=medium

  * Add pkg-config call to fix FTBFS from Debian
    (and Rik Mills)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Jun 2018 10:16:04 +0200

modemmanager-qt (5.46.0-0ubuntu2) cosmic; urgency=medium

  * Cherry-pick change from debian to fix testsuite:
    - Add libglib2.0-dev as a -dev dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Jun 2018 08:46:22 +0200

modemmanager-qt (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:58:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+               extra-cmake-modules (>= 5.46.0~),
+               libglib2.0-dev,
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -27,7 +28,8 @@
 Package: modemmanager-qt-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5modemmanagerqt6 (= ${binary:Version}),
+Depends: libglib2.0-dev,
+         libkf5modemmanagerqt6 (= ${binary:Version}),
          modemmanager-dev (>= 1.0),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+export DEB_CXXFLAGS_MAINT_APPEND := $(shell pkg-config --cflags glib-2.0)
 
 override_dh_strip:
 	$(overridden_command) --dbgsym-migration='libkf5modemmanagerqt6-dbg (<= 5.19.0-1~~)'
